• Revista PROGRAMAR: Já está disponível a edição #53 da revista programar. Faz já o download aqui!

Knitter

PHP 4 VS PHP 5

34 mensagens neste tópico

Bem, não quero começar nenhuma guerra santa...

Mudei recentemente de serviço de hosting, desta vez decidi dar uma oportunidade aos portugueses ptservers, mas qual é o meu espanto quando reparo que usam a versão 4 do PHP... algumas dores de cabeça para colocar um site comercial a funcionar, visto estar a usar PHP 5, e no momento em que me preparava para instalar o activecollab, um gestor de projecto que uso há algum tempo e de que só tenho bem a dizer, reparo que é *apenas* para PHP 5!

Ora, até certo ponto percebo porque não usam PHP 5 mas depois comecei a pensar.... o que tem de tão diferente?

Quais as desvantagens? Porque não fazer o upgrade?

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Compreendo a parte das incompatibilidades mas não serão as vantagens superiores às desvantagens? Afinal o a versão 5 não è assim tão nova quanto isso, já inclui até alguns updates...

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Lol, td depende do que fazes em php. há cenas como o phpcap que só funcam em php4 mas há outras q só existem em php5. td dependo d q fazes.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

O problema todo se prende com o suporte para POO.

Como no php4 o suporte não era muito completo foi reescrito na totalidade no php5.

Nenhuma empresa de hosting deve abandonar o php4 pois há muita coisa incompativel para php5, se bem que não disponibilizar a possibilidade do uso de php5 hoje em dia já é inaceitavel.

Tens acesso à shell? ora vê lá, é que cheira-me que deves poder usar php5. Se não, pa, lamento falar assim, mas que raio de serviço que o teu hosting-provider oferece.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites
...mas que raio de serviço que o teu hosting-provider oferece.

Um serviço que me obrigou a mudar de gestor de projectos! Cada vez que olho para este netoffice amaldiçou a ptservers mas enfim , estou aqui para ficar e não vai ser o php5, ou a falta dele, que me vão fazer desesperar. É claro que é sempre chato ter de reescrever código só porque o hosting não tem a versão que precisamos.

Neste momento não é critico, estou a usar o wordpress como CMS, e que não precisa do PHP5. O gestor de projectos é que era mesmo o que eu não queria mudar...

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Eu acho que eles não fazem o upgrade porque nao querem ou entao por causa de algumas incompatibilidades

http://www.php.net/manual/en/migration5.php

http://www.php.net/manual/pt_BR/migration5.incompatible.php

Tu podes ter ambos PHP4 e PHP5 a funcionar ao mesmo tempo :D

Linux - http://www.softwarelivrecelepar.pr.gov.br/modules/wfsection/article.php?articleid=73

Windows - http://forum.imasters.com.br/index.php?showtopic=191893

btw, se alguem da ptservers ler isto considerem ter ambos pois tou a pensar comprar hosting lá ;)

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Ya, se tiveres acesso à shell pode sempre compilar a tua própria instalação de php e configura-la como entederes. Mas isso com pouco cuidade pode dar origem a falahas de segurança.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Ya, se tiveres acesso à shell pode sempre compilar a tua própria instalação de php e configura-la como entederes. Mas isso com pouco cuidade pode dar origem a falahas de segurança.

Eu estou mesmo a dizer o SP fazê-lo e não o cliente :D

Também acho que a PTservers devia actualizar a versão do PHP... ;)

eu n passava para php5, punha antes ambos 4 e 5 :thumbsup:
0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Para quê a versão 4? Neste momento praticamente tudo funciona na versão 5. ;)

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Para quê a versão 4? Neste momento praticamente tudo funciona na versão 5. ;)

Exacto, praticamente tudo. :thumbsup: Tu não preferias que o teu SP te desse uma fase de transição entre PHP4 e PHP5? E no futuro entre PHP5 e PHP6 que já tá no CVS? :D

É o ser politicamente correcto e não o funcionar que está em causa :thumbsup:

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Claro que deve existir esse tempo de transição, não digo que o façam de repente sem avisar os clientes. ;)

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Claro que deve existir esse tempo de transição, não digo que o façam de repente sem avisar os clientes. ;)

Não te esqueças que há coisas que deixaram de existir no PHP5 o q pode em alguns casos uma gd m*rda. Pessoalmente, acho que é sempre bom deixar os clientes escolher entre ficar com php4 ou php5 e no futuro php6, mas n nos cabe a nós decidir essas coisas :D

EDIT: Para quem tá com a pulga atrás da orelha para testar o PHP6, isto é para ti :thumbsup:

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Sinceramente não vejo o porquê disso, não conheço nenhum software decente que não funcione no PHP5.

On July 13, 2004, PHP 5 was released.... só para realçar que estamos a falar de mais de 2 anos de diferença, até parece que estamos a falar de um upgrade recente... ;)

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

No meu servidor se quiser ter PHP5 tenho de pagar 30$00(US).

Acho um exagero. Já deviam oferecer o serviço!!!

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Sinceramente não vejo o porquê disso, não conheço nenhum software decente que não funcione no PHP5.

On July 13, 2004, PHP 5 was released.... só para realçar que estamos a falar de mais de 2 anos de diferença, até parece que estamos a falar de um upgrade recente... :(

Mas tu tás de boa vontade :D

já houve mt ppl q reescreveu os seus scripts mas muitos ainda nem sequer mexeram em PHP5 porque não tão para "aprender" tudo de novo :D

Quando sair o PHP6, ainda vai haver mt ppl a usar PHP4 tal como acontece hj e infelizmente isso vai continuar. :)

No meu servidor se quiser ter PHP5 tenho de pagar 30$00(US).

Acho um exagero. Já deviam oferecer o serviço!!!

OMG! Onde tás alojado? Isso é um autêntico roubo :\

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Sinceramente não vejo o porquê disso, não conheço nenhum software decente que não funcione no PHP5.

On July 13, 2004, PHP 5 was released.... só para realçar que estamos a falar de mais de 2 anos de diferença, até parece que estamos a falar de um upgrade recente... :(

Mas tu tás de boa vontade :D

já houve mt ppl q reescreveu os seus scripts mas muitos ainda nem sequer mexeram em PHP5 porque não tão para "aprender" tudo de novo :)

Quando sair o PHP6, ainda vai haver mt ppl a usar PHP4 tal como acontece hj e infelizmente isso vai continuar. :)

Praticamente todos os hosts decentes estão em PHP5 e não é preciso aprender nada de novo... :D

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

No meu servidor se quiser ter PHP5 tenho de pagar 30$00(US).

Acho um exagero. Já deviam oferecer o serviço!!!

OMG! Onde tás alojado? Isso é um autêntico roubo :\

Eu tb acho. Mas o resto do serviço é excelente. Não encontro host melhor.

Também não me tenho preocupado muito com isso.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Praticamente todos os hosts decentes estão em PHP5 e não é preciso aprender nada de novo... :(

E 90% desses também têm PHP4 para poderes usar um ou outro à tua vontade :D
0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

@djthyrax acho que ao dizeres que 90% dos servidores que têm PHP5 tambem têm PHP4 estas a exagerar um bocado :D  :(

EDIT: Estas a exagerar se for PHP4 e PHP5 a funcionar ao mesmo tempo...

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

@djthyrax acho que ao dizeres que 90% dos servidores que têm PHP5 tambem têm PHP4 estas a exagerar um bocado :D  :(

EDIT: Estas a exagerar se for PHP4 e PHP5 a funcionar ao mesmo tempo...

é mesmo os q deixam escolher entre os 2 :D

e sim, também existem os q têm os dois a funcionar ao mesmo tempo usando o handle das extenções (.php / .php5 / .php4 / .php3), mas há poucos hosts q fazem isso :)

(hj n sei pk já editei este post 12 vezes oO, alguem que me interne no julio de matos plz)

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

OMG, tá tudo doido.

Que me lembre assim de repente não estou a ver ua linha de código escrita aqui no p@p que não seja compatível com as duas versões.

Mas que raio estão vocês a falar... "aprender tudo do novo"?

Porque é que não se informam sobre as diferenças do php 4 para o 5 em vez de partirem de prossupostos errados?

Acalmem pá, todos os hosts a serio providenciam php 4 e 5, e muuuuuuuuuitas subversões, e se não podem voces compilar o vosso php. Já referi muitas vezes o facto de em portugal não haver serviços de alojamento de qualidade.

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

OMG, tá tudo doido.

Que me lembre assim de repente não estou a ver ua linha de código escrita aqui no p@p que não seja compatível com as duas versões.

já vi muito código fora do P@P que n é compativel com php5 o q é frustante. :D

Mas que raio estão vocês a falar... "aprender tudo do novo"?

Por algum motivo usei aspas não? :D

Porque é que não se informam sobre as diferenças do php 4 para o 5 em vez de partirem de prossupostos errados?

quem te disse a ti que eu não sei diferenças entre eles? :)

Acalmem pá, todos os hosts a serio providenciam php 4 e 5, e muuuuuuuuuitas subversões, e se não podem voces compilar o vosso php. Já referi muitas vezes o facto de em portugal não haver serviços de alojamento de qualidade.

Talvez com posts destes, essa parte de alojamento tuga pode mudar :)
0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Em portugal não há alojamento de qualidade. Basta olhar para este tópico. um amigo meu tem uma empresa de alojamento e apostou no mercado médio. O gajo tem aquilo bem montado mas:

1.aluga servidores em datacenters nos estados unidos.

2.pratica preços cerca de 20 vezes superiores à media do que se praticalá fora

0

Partilhar esta mensagem


Link para a mensagem
Partilhar noutros sites

Crie uma conta ou ligue-se para comentar

Só membros podem comentar

Criar nova conta

Registe para ter uma conta na nossa comunidade. É fácil!


Registar nova conta

Entra

Já tem conta? Inicie sessão aqui.


Entrar Agora